Bug 221032 - lshal aborts with "don't close shared connection" message (dbus?)
lshal aborts with "don't close shared connection" message (dbus?)
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2006-12-30 13:46 EST by Tom London
Modified: 2013-03-05 22:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-02 16:06:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom London 2006-12-30 13:46:20 EST
Description of problem:
Running 'lshal' produces at the very end of the list:

Dumped 123 device(s) from the Global Device List.

process 3707: Applications must not close shared connections - see
dbus_connection_close() docs. This is a bug in the application.
  D-Bus not built with -rdynamic so unable to print a backtrace

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. run 'lshal'
2. message at end of listing....
Actual results:

Expected results:

Additional info:
Comment 1 David Zeuthen 2007-01-02 16:06:02 EST
This is caused by a D-Bus update and is already fixed upstream so I'm closing
this for UPSTREAM as now (FC7 will have a hal update before release).

Note You need to log in before you can comment on or make changes to this bug.